VULKAN_HPP_NAMESPACE::PipelineVertexInputDivisorStateCreateInfoEXT Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PipelineVertexInputDivisorStateCreateInfoEXT:
[legend]

## Public Member Functions

| PipelineVertexInputDivisorStateCreateInfoEXT (uint32_t vertexBindingDivisorCount_=0, const VertexInputBindingDivisorDescriptionEXT *pVertexBindingDivisors_=nullptr)
| PipelineVertexInputDivisorStateCreateInfoEXT (VkPipelineVertexInputDivisorStateCreateInfoEXT const &rhs)
PipelineVertexInputDivisorStateCreateInfoEXT & | operator= (VkPipelineVertexInputDivisorStateCreateInfoEXT const &rhs)
PipelineVertexInputDivisorStateCreateInfoEXT & | setPNext (const void *pNext_)
PipelineVertexInputDivisorStateCreateInfoEXT & | setVertexBindingDivisorCount (uint32_t vertexBindingDivisorCount_)
PipelineVertexInputDivisorStateCreateInfoEXT & | setPVertexBindingDivisors (const VertexInputBindingDivisorDescriptionEXT *pVertexBindingDivisors_)
| operator VkPipelineVertexInputDivisorStateCreateInfoEXT const & () const
| operator VkPipelineVertexInputDivisorStateCreateInfoEXT & ()
bool | operator== (PipelineVertexInputDivisorStateCreateInfoEXT const &rhs) const
bool | operator!= (PipelineVertexInputDivisorStateCreateInfoEXT const &rhs) const

## Data Fields

const void * | pNext = nullptr
uint32_t | vertexBindingDivisorCount
const VertexInputBindingDivisorDescriptionEXT * | pVertexBindingDivisors

## Private Attributes

StructureType | sType = StructureType::ePipelineVertexInputDivisorStateCreateInfoEXT

## Detailed Description

Definition at line 18256 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PipelineVertexInputDivisorStateCreateInfoEXT() [1/2]

VULKAN_HPP_NAMESPACE::PipelineVertexInputDivisorStateCreateInfoEXT::PipelineVertexInputDivisorStateCreateInfoEXT | ( | uint32_t | vertexBindingDivisorCount_ = `0`,
|  | const VertexInputBindingDivisorDescriptionEXT * | pVertexBindingDivisors_ = `nullptr`
| ) |  |

inline

Definition at line 18258 of file vulkan.hpp.

: vertexBindingDivisorCount( vertexBindingDivisorCount_ )
, pVertexBindingDivisors( pVertexBindingDivisors_ )
{
}

## PipelineVertexInputDivisorStateCreateInfoEXT() [2/2]

VULKAN_HPP_NAMESPACE::PipelineVertexInputDivisorStateCreateInfoEXT::PipelineVertexInputDivisorStateCreateInfoEXT | ( | VkPipelineVertexInputDivisorStateCreateInfoEXT const & | rhs | ) |

inline

Definition at line 18265 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineVertexInputDivisorStateCreateInfoEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkPipelineVertexInputDivisorStateCreateInfoEXT &()

VULKAN_HPP_NAMESPACE::PipelineVertexInputDivisorStateCreateInfoEXT::operator VkPipelineVertexInputDivisorStateCreateInfoEXT & | ( |  | ) |

inline

Definition at line 18298 of file vulkan.hpp.

{
return *reinterpret_cast<VkPipelineVertexInputDivisorStateCreateInfoEXT*>(this);
}

## operator VkPipelineVertexInputDivisorStateCreateInfoEXT const &()

VULKAN_HPP_NAMESPACE::PipelineVertexInputDivisorStateCreateInfoEXT::operator VkPipelineVertexInputDivisorStateCreateInfoEXT const & | ( |  | ) | const

inline

Definition at line 18293 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPipelineVertexInputDivisorStateCreateInfoEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PipelineVertexInputDivisorStateCreateInfoEXT::operator!= | ( | PipelineVertexInputDivisorStateCreateInfoEXT const & | rhs | ) | const

inline

Definition at line 18311 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PipelineVertexInputDivisorStateCreateInfoEXT& VULKAN_HPP_NAMESPACE::PipelineVertexInputDivisorStateCreateInfoEXT::operator= | ( | VkPipelineVertexInputDivisorStateCreateInfoEXT const & | rhs | ) |

inline

Definition at line 18270 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineVertexInputDivisorStateCreateInfoEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PipelineVertexInputDivisorStateCreateInfoEXT::operator== | ( | PipelineVertexInputDivisorStateCreateInfoEXT const & | rhs | ) | const

inline

Definition at line 18303 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( vertexBindingDivisorCount == rhs.vertexBindingDivisorCount )
&& ( pVertexBindingDivisors == rhs.pVertexBindingDivisors );
}

References pNext, pVertexBindingDivisors, sType, and vertexBindingDivisorCount.

Referenced by operator!=().

## setPNext()

PipelineVertexInputDivisorStateCreateInfoEXT& VULKAN_HPP_NAMESPACE::PipelineVertexInputDivisorStateCreateInfoEXT::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 18275 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPVertexBindingDivisors()

PipelineVertexInputDivisorStateCreateInfoEXT& VULKAN_HPP_NAMESPACE::PipelineVertexInputDivisorStateCreateInfoEXT::setPVertexBindingDivisors | ( | const VertexInputBindingDivisorDescriptionEXT * | pVertexBindingDivisors_ | ) |

inline

Definition at line 18287 of file vulkan.hpp.

{
pVertexBindingDivisors = pVertexBindingDivisors_;
return *this;
}

References pVertexBindingDivisors.

## setVertexBindingDivisorCount()

PipelineVertexInputDivisorStateCreateInfoEXT& VULKAN_HPP_NAMESPACE::PipelineVertexInputDivisorStateCreateInfoEXT::setVertexBindingDivisorCount | ( | uint32_t | vertexBindingDivisorCount_ | ) |

inline

Definition at line 18281 of file vulkan.hpp.

{
vertexBindingDivisorCount = vertexBindingDivisorCount_;
return *this;
}

References vertexBindingDivisorCount.

## Field Documentation

## pNext

const void* VULKAN_HPP_NAMESPACE::PipelineVertexInputDivisorStateCreateInfoEXT::pNext = nullptr

Definition at line 18320 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pVertexBindingDivisors

const VertexInputBindingDivisorDescriptionEXT* VULKAN_HPP_NAMESPACE::PipelineVertexInputDivisorStateCreateInfoEXT::pVertexBindingDivisors

Definition at line 18322 of file vulkan.hpp.

Referenced by operator==(), and setPVertexBindingDivisors().

## sType

StructureType VULKAN_HPP_NAMESPACE::PipelineVertexInputDivisorStateCreateInfoEXT::sType = StructureType::ePipelineVertexInputDivisorStateCreateInfoEXT

private

Definition at line 18317 of file vulkan.hpp.

Referenced by operator==().

## vertexBindingDivisorCount

uint32_t VULKAN_HPP_NAMESPACE::PipelineVertexInputDivisorStateCreateInfoEXT::vertexBindingDivisorCount

Definition at line 18321 of file vulkan.hpp.

Referenced by operator==(), and setVertexBindingDivisorCount().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PipelineVertexInputDivisorStateCreateInfoEXT::pVertexBindingDivisors
const VertexInputBindingDivisorDescriptionEXT * pVertexBindingDivisors
Definition: vulkan.hpp:18322
VULKAN_HPP_NAMESPACE::PipelineVertexInputDivisorStateCreateInfoEXT::pNext
const void * pNext
Definition: vulkan.hpp:18320
VULKAN_HPP_NAMESPACE::PipelineVertexInputDivisorStateCreateInfoEXT::operator==
bool operator==(PipelineVertexInputDivisorStateCreateInfoEXT const &rhs) const
Definition: vulkan.hpp:18303
VULKAN_HPP_NAMESPACE::PipelineVertexInputDivisorStateCreateInfoEXT::vertexBindingDivisorCount
uint32_t vertexBindingDivisorCount
Definition: vulkan.hpp:18321
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkPipelineVertexInputDivisorStateCreateInfoEXT
Definition: vulkan_core.h:8614
VULKAN_HPP_NAMESPACE::PipelineVertexInputDivisorStateCreateInfoEXT::sType
StructureType sType
Definition: vulkan.hpp:18317
VULKAN_HPP_NAMESPACE::PipelineVertexInputDivisorStateCreateInfoEXT::PipelineVertexInputDivisorStateCreateInfoEXT
PipelineVertexInputDivisorStateCreateInfoEXT(uint32_t vertexBindingDivisorCount_=0, const VertexInputBindingDivisorDescriptionEXT *pVertexBindingDivisors_=nullptr)
Definition: vulkan.hpp:18258